> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Channel Listings

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/channels/{channel_id}/listings
Content-Type: application/json

Updates one or more *Channel Listings* for a specific channel. We recommend using this endpoint for non-storefront channels like marketplaces, marketing channels, and point of sale (POS) channels. 

> #### Note
> * Partial updates are supported. In most cases, if a field that *cannot* be updated is passed in, the API **will not** respond with an error. It returns a 200 response with the object, in which you will see the field(s) were not updated.
> * If a new variant is provided, the API will append the variant to the list. If a variant already exists, the API will update the existing variant. Other variants that are not provided in the payload remains unchanged.
> * If `listing_id` does not exist, the API will return a 200 response with empty data.
> * `listing_id` is required and cannot be less than or equal to zero.
> * `product_id` cannot be updated after a channel listing is created.
> * `product_id` of a variant must match the `product_id` of the channel listing.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/channels/listings/update-channel-listings

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `channel_id` (long, required) — The ID of a channel.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a list of UpsertListingWithListingIdReq.

- `list of UpsertListingWithListingIdReq`

## Response

### 200

One or more channel listings.

- `data` (list of Listing, optional)
- `meta` (MetaWithPartialPagination, optional) — Data about the response, including pagination.

## Errors

### 422 Unprocessable Entity Error

The request is missing one or more required fields or invalid data is submitted. Note that the `group_id` in the Invalid Listing ID example refers to `listing_id`. Please use `listing_id` instead of `group_id` in the request payload.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

## Types

### UpsertListingWithListingIdReq

Details about assigning a product to a specific channel.

- `listing_id` (long, required) — The ID of the channel listing that has been created, returned, or updated. In a 422 error, you may receive a response that references the `group_id`. The `group_id` in the Invalid Listing ID example refers to the `listing_id`. Please use `listing_id` instead of `group_id` in the request payload.
- `product_id` (long, required) — The ID of the product associated with this channel listing.
- `state` (enum, required) — The state of the product assignment or channel listing.
  - Allowed values: `active`, `disabled`, `error`, `pending`, `pending_disable`, `pending_delete`, `partially_rejected`, `queued`, `rejected`, `submitted`, `deleted`
- `variants` (list of ChannelProductVariantPartial, required)
- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `name` (string, optional) — Name of the product for this channel listing specifically. This is an optional field that can be used to override the product name in the catalog.
- `description` (string, optional) — Description of the product for this channel listing specifically. This is an optional field that can be used to override the product description in the catalog.

### Listing

- `channel_id` (long, optional) — The ID of the channel associated with this channel listing.
- `listing_id` (long, optional) — The ID of the channel listing that has been created, returned, or updated. In a 422 error, you may receive a response that references the `group_id`. The `group_id` in the Invalid Listing ID example refers to the `listing_id`. Please use `listing_id` instead of `group_id` in the request payload.
- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `product_id` (long, optional) — The ID of the product associated with this channel listing.
- `state` (enum, optional) — The state of the product assignment or channel listing.
  - Allowed values: `active`, `disabled`, `error`, `pending`, `pending_disable`, `pending_delete`, `partially_rejected`, `queued`, `rejected`, `submitted`, `deleted`
- `name` (string, optional) — Name of the product for this channel listing specifically. This is an optional field that can be used to override the product name in the catalog.
- `description` (string, optional) — Description of the product for this channel listing specifically. This is an optional field that can be used to override the product description in the catalog.
- `date_created` (datetime, optional) — Date on which the channel listing was first created.
- `date_modified` (datetime, optional) — Date on which the channel listing was most recently changed.
- `variants` (list of ChannelProductVariantFull, optional)

### MetaWithPartialPagination

Data about the response, including pagination.

- `pagination` (pagination_Partial, optional) — Data about the pagination.

### ErrorDetail

Error detail response payload for the BigCommerce API.

### ChannelProductVariantPartial

Details about a variant of the product for this channel listing.

- `product_id` (long, required) — The ID of the product associated with this channel listing.
- `variant_id` (long, required) — The ID of the product variant associated with this channel listing.
- `state` (enum, required) — The state of the channel listing variant.
  - Allowed values: `active`, `disabled`, `error`, `pending`, `pending_disable`, `pending_delete`, `queued`, `rejected`, `submitted`, `deleted`
- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `name` (string, optional) — Name of the product variant for this channel listing specifically. This is an optional field that can be used to override the name of the product variant in the catalog.
- `description` (string, optional) — Description of the product variant for this channel listing specifically. This is an optional field that can be used to override the description of the product variant in the catalog.

### ChannelProductVariantFull

Details about a variant of the product for this channel listing.

- `channel_id` (long, optional) — The ID of the channel associated with this channel listing.
- `product_id` (long, optional) — The ID of the product associated with this channel listing.
- `variant_id` (long, optional) — The ID of the product variant associated with this channel listing.
- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `state` (enum, optional) — The state of the channel listing variant.
  - Allowed values: `active`, `disabled`, `error`, `pending`, `pending_disable`, `pending_delete`, `queued`, `rejected`, `submitted`, `deleted`
- `name` (string, optional) — Name of the product variant for this channel listing specifically. This is an optional field that can be used to override the name of the product variant in the catalog.
- `description` (string, optional) — Description of the product variant for this channel listing specifically. This is an optional field that can be used to override the description of the product variant in the catalog.
- `date_created` (datetime, optional) — Date on which the channel listing variant was first created.
- `date_modified` (datetime, optional) — Date on which the channel listing variant was most recently changed.

### pagination_Partial

Data about the pagination.

- `count` (integer, optional) — Total number of items in the collection response.
- `total` (integer, optional) — Total number of items in the result set.
- `links` (PaginationPartialLinks, optional) — Pagination links for the previous, current, or next parts of the whole collection.
- `total_pages` (integer, optional) — The total number of pages in the collection.

### PaginationPartialLinks

Pagination links for the previous, current, or next parts of the whole collection.

- `previous` (string, optional) — Link to the previous page returned in the response.
- `current` (string, optional) — Link to the current page returned in the response.
- `next` (string, optional) — Link to the next page returned in the response.

## Examples

### Single Listing

**Request**

```json
[
  {
    "listing_id": 882998595,
    "product_id": 80,
    "state": "active",
    "variants": [
      {
        "product_id": 80,
        "variant_id": 64,
        "state": "active",
        "name": "Terrarium with dinosaur"
      }
    ],
    "name": "Orbit Terrarium - Large"
  }
]
```

**Response**

```json
{
  "data": [
    {
      "channel_id": 667159,
      "listing_id": 882998595,
      "product_id": 80,
      "state": "active",
      "name": "Orbit Terrarium - Large",
      "description": "The same terrarium, but not a [Sample]",
      "date_created": "2021-05-24T17:46:33Z",
      "date_modified": "2021-05-24T17:46:33Z",
      "variants": [
        {
          "channel_id": 667159,
          "product_id": 80,
          "variant_id": 64,
          "state": "active",
          "name": "Terrarium with dinosaur",
          "date_created": "2021-05-24T17:46:33Z",
          "date_modified": "2021-05-24T17:46:33Z"
        },
        {
          "channel_id": 667159,
          "product_id": 80,
          "variant_id": 65,
          "state": "active",
          "name": "Terrarium with fish",
          "date_created": "2021-05-24T17:46:33Z",
          "date_modified": "2021-05-24T17:46:33Z"
        }
      ]
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "total": 1,
      "links": {
        "current": "?limit=1000"
      },
      "total_pages": 1
    }
  }
}
```

**SDK Code**

```python Single Listing
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings"

payload = [
    {
        "listing_id": 882998595,
        "product_id": 80,
        "state": "active",
        "variants": [
            {
                "product_id": 80,
                "variant_id": 64,
                "state": "active",
                "name": "Terrarium with dinosaur"
            }
        ],
        "name": "Orbit Terrarium - Large"
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Single Listing
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"listing_id":882998595,"product_id":80,"state":"active","variants":[{"product_id":80,"variant_id":64,"state":"active","name":"Terrarium with dinosaur"}],"name":"Orbit Terrarium - Large"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Single Listing
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings"

	payload := strings.NewReader("[\n  {\n    \"listing_id\": 882998595,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  }\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Single Listing
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"listing_id\": 882998595,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Single Listing
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"listing_id\": 882998595,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  }\n]")
  .asString();
```

```php Single Listing
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings', [
  'body' => '[
  {
    "listing_id": 882998595,
    "product_id": 80,
    "state": "active",
    "variants": [
      {
        "product_id": 80,
        "variant_id": 64,
        "state": "active",
        "name": "Terrarium with dinosaur"
      }
    ],
    "name": "Orbit Terrarium - Large"
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Single Listing
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"listing_id\": 882998595,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Single Listing
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "listing_id": 882998595,
    "product_id": 80,
    "state": "active",
    "variants": [
      [
        "product_id": 80,
        "variant_id": 64,
        "state": "active",
        "name": "Terrarium with dinosaur"
      ]
    ],
    "name": "Orbit Terrarium - Large"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Multiple Listings

**Request**

```json
[
  {
    "listing_id": 882789361,
    "product_id": 80,
    "state": "active",
    "variants": [
      {
        "product_id": 80,
        "variant_id": 64,
        "state": "active",
        "name": "Terrarium with dinosaur"
      }
    ],
    "name": "Orbit Terrarium - Large"
  },
  {
    "listing_id": 882789362,
    "product_id": 100,
    "state": "pending",
    "variants": [
      {
        "product_id": 100,
        "variant_id": 91,
        "state": "pending",
        "name": "Small womenʼs bold t-shirt"
      }
    ],
    "name": "Womenʼs Bold T-Shirt"
  }
]
```

**Response**

```json
{
  "data": [
    {
      "channel_id": 664177,
      "listing_id": 882789361,
      "product_id": 80,
      "state": "active",
      "name": "Orbit Terrarium - Large",
      "description": "The same terrarium, but not a [Sample]",
      "date_created": "2021-05-24T17:46:33Z",
      "date_modified": "2021-05-24T17:46:33Z",
      "variants": [
        {
          "channel_id": 664177,
          "product_id": 80,
          "variant_id": 64,
          "state": "active",
          "name": "Terrarium with dinosaur",
          "date_created": "2021-05-24T17:46:33Z",
          "date_modified": "2021-05-24T17:46:33Z"
        },
        {
          "channel_id": 664177,
          "product_id": 80,
          "variant_id": 65,
          "state": "active",
          "name": "Terrarium with fish",
          "date_created": "2021-05-24T17:46:33Z",
          "date_modified": "2021-05-24T17:46:33Z"
        }
      ]
    },
    {
      "channel_id": 664177,
      "listing_id": 882789362,
      "product_id": 100,
      "state": "pending",
      "name": "Womenʼs Bold T-Shirt",
      "description": "The same t-shirt, but not a [Sample]",
      "date_created": "2021-05-24T17:46:33Z",
      "date_modified": "2021-05-24T17:46:33Z",
      "variants": [
        {
          "channel_id": 664177,
          "product_id": 100,
          "variant_id": 91,
          "state": "pending",
          "name": "Small womenʼs bold t-shirt",
          "date_created": "2021-05-24T17:46:33Z",
          "date_modified": "2021-05-24T17:46:33Z"
        },
        {
          "channel_id": 664177,
          "product_id": 100,
          "variant_id": 92,
          "state": "pending",
          "name": "Medium womenʼs bold t-shirt",
          "date_created": "2021-05-24T17:46:33Z",
          "date_modified": "2021-05-24T17:46:33Z"
        }
      ]
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "total": 2,
      "links": {
        "current": "?limit=1000"
      },
      "total_pages": 1
    }
  }
}
```

**SDK Code**

```python Multiple Listings
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings"

payload = [
    {
        "listing_id": 882789361,
        "product_id": 80,
        "state": "active",
        "variants": [
            {
                "product_id": 80,
                "variant_id": 64,
                "state": "active",
                "name": "Terrarium with dinosaur"
            }
        ],
        "name": "Orbit Terrarium - Large"
    },
    {
        "listing_id": 882789362,
        "product_id": 100,
        "state": "pending",
        "variants": [
            {
                "product_id": 100,
                "variant_id": 91,
                "state": "pending",
                "name": "Small womenʼs bold t-shirt"
            }
        ],
        "name": "Womenʼs Bold T-Shirt"
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Multiple Listings
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"listing_id":882789361,"product_id":80,"state":"active","variants":[{"product_id":80,"variant_id":64,"state":"active","name":"Terrarium with dinosaur"}],"name":"Orbit Terrarium - Large"},{"listing_id":882789362,"product_id":100,"state":"pending","variants":[{"product_id":100,"variant_id":91,"state":"pending","name":"Small womenʼs bold t-shirt"}],"name":"Womenʼs Bold T-Shirt"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Multiple Listings
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings"

	payload := strings.NewReader("[\n  {\n    \"listing_id\": 882789361,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  },\n  {\n    \"listing_id\": 882789362,\n    \"product_id\": 100,\n    \"state\": \"pending\",\n    \"variants\": [\n      {\n        \"product_id\": 100,\n        \"variant_id\": 91,\n        \"state\": \"pending\",\n        \"name\": \"Small womenʼs bold t-shirt\"\n      }\n    ],\n    \"name\": \"Womenʼs Bold T-Shirt\"\n  }\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Multiple Listings
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"listing_id\": 882789361,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  },\n  {\n    \"listing_id\": 882789362,\n    \"product_id\": 100,\n    \"state\": \"pending\",\n    \"variants\": [\n      {\n        \"product_id\": 100,\n        \"variant_id\": 91,\n        \"state\": \"pending\",\n        \"name\": \"Small womenʼs bold t-shirt\"\n      }\n    ],\n    \"name\": \"Womenʼs Bold T-Shirt\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Multiple Listings
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"listing_id\": 882789361,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  },\n  {\n    \"listing_id\": 882789362,\n    \"product_id\": 100,\n    \"state\": \"pending\",\n    \"variants\": [\n      {\n        \"product_id\": 100,\n        \"variant_id\": 91,\n        \"state\": \"pending\",\n        \"name\": \"Small womenʼs bold t-shirt\"\n      }\n    ],\n    \"name\": \"Womenʼs Bold T-Shirt\"\n  }\n]")
  .asString();
```

```php Multiple Listings
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings', [
  'body' => '[
  {
    "listing_id": 882789361,
    "product_id": 80,
    "state": "active",
    "variants": [
      {
        "product_id": 80,
        "variant_id": 64,
        "state": "active",
        "name": "Terrarium with dinosaur"
      }
    ],
    "name": "Orbit Terrarium - Large"
  },
  {
    "listing_id": 882789362,
    "product_id": 100,
    "state": "pending",
    "variants": [
      {
        "product_id": 100,
        "variant_id": 91,
        "state": "pending",
        "name": "Small womenʼs bold t-shirt"
      }
    ],
    "name": "Womenʼs Bold T-Shirt"
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Multiple Listings
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"listing_id\": 882789361,\n    \"product_id\": 80,\n    \"state\": \"active\",\n    \"variants\": [\n      {\n        \"product_id\": 80,\n        \"variant_id\": 64,\n        \"state\": \"active\",\n        \"name\": \"Terrarium with dinosaur\"\n      }\n    ],\n    \"name\": \"Orbit Terrarium - Large\"\n  },\n  {\n    \"listing_id\": 882789362,\n    \"product_id\": 100,\n    \"state\": \"pending\",\n    \"variants\": [\n      {\n        \"product_id\": 100,\n        \"variant_id\": 91,\n        \"state\": \"pending\",\n        \"name\": \"Small womenʼs bold t-shirt\"\n      }\n    ],\n    \"name\": \"Womenʼs Bold T-Shirt\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Multiple Listings
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "listing_id": 882789361,
    "product_id": 80,
    "state": "active",
    "variants": [
      [
        "product_id": 80,
        "variant_id": 64,
        "state": "active",
        "name": "Terrarium with dinosaur"
      ]
    ],
    "name": "Orbit Terrarium - Large"
  ],
  [
    "listing_id": 882789362,
    "product_id": 100,
    "state": "pending",
    "variants": [
      [
        "product_id": 100,
        "variant_id": 91,
        "state": "pending",
        "name": "Small womenʼs bold t-shirt"
      ]
    ],
    "name": "Womenʼs Bold T-Shirt"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/channels/1/listings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```